/profileactivations/{id}/activate · Profile Activation API
/profileactivations/{id}/activate
Laut Confluence ohne Verwendung; historischer Projektstand.
POST
/profileactivations/{id}/activateWith this resource, you can set a prebuilt Profile as active by submitting the profileId.
Please contact your primary menio contact for the process of prebuilding Profiles as a precondition for working with this resource.
Parameter
idstringErforderlichthis is the Id of the profile which is to be activated.
'ab12345'Request-Header
DevKeyThe `DevKey` that has been provided by qnips, identifying you as requestorSecurityTokenThis is an individual value for each `profileId`, it needs to be calculated using the algorithm described under 'Generating SecurityToken' of this API documentationOriginaler Blueprint-Ausschnitt
API Blueprint
### /profileactivations/{id}/activate [POST]
+ Parameters
+ id (string, `'ab12345'`) ... this is the Id of the profile which is to be activated.
+ Request
+ Headers
DevKey : The `DevKey` that has been provided by qnips, identifying you as requestor
SecurityToken : This is an individual value for each `profileId`, it needs to be calculated using the algorithm described under 'Generating SecurityToken' of this API documentation
+ Response 200
+ Body
in case of a successful activation, the response body will remain empty
+ Response 400
// HTTP-BadRequest: is returned in case you supplied an invalid profileId
{
"Message": "no data for your request"
}
+ Response 401
// HTTP-Unauthorized: is returned in case you supplied a wrong DevKey or no DevKey at all
{
"Message": "unknown or wrong DevKey"
}
+ Response 401
// HTTP-Unauthorized: is returned in case you supplied a wrong SecurityToken or no SecurityToken at all
{
"Message": "unknown or wrong SecurityToken"
}
+ Response 412
// HTTP-PreconditionFailed: is returned in case you supplied Id of an already activated profile
{
"Message": "this profile has already been activated"
}